class List {
  constructor(page, elementSelector) {
    this.page = page;
    this.elementSelector = elementSelector;
  }

  isListElement() {
    return this.page.expect.element(this.elementSelector).to.be.a('li');
  }

  isNotListElement() {
    return this.page.expect.element(this.elementSelector).to.not.be.a('li');
  }

  clickListElement() {
    this.isListElement();
    this.page.click(this.elementSelector);
  }
}

module.exports = List;
