class Button {
  constructor(page, elementSelector) {
    this.page = page;
    this.elementSelector = elementSelector;
  }

  isButton() {
    return this.page.expect.element(this.elementSelector).to.be.a('button');
  }

  isNotButton() {
    return this.page.expect.element(this.elementSelector).to.not.be.a('button');
  }

  clickButton() {
    this.isButton();
    this.page.click(this.elementSelector);
  }
}

module.exports = Button;
