class Div {
  constructor(page, elementSelector) {
    this.page = page;
    this.elementSelector = elementSelector;
  }

  isDivElement() {
    return this.page.expect.element(this.elementSelector).to.be.a('div');
  }

  isNotDivElement() {
    return this.page.expect.element(this.elementSelector).to.not.be.a('div');
  }

  clickDivElement() {
    this.isDivElement();
    this.page.click(this.elementSelector);
  }
}

module.exports = Div;
