class Icon {
  constructor(page, elementSelector) {
    this.page = page;
    this.elementSelector = elementSelector;
  }

  isIconElement() {
    return this.page.expect.element(this.elementSelector).to.be.a('i');
  }

  isNotIconElement() {
    return this.page.expect.element(this.elementSelector).to.not.be.a('i');
  }

  clickIconElement() {
    this.isIconElement();
    this.page.click(this.elementSelector);
  }
}

module.exports = Icon;
